perl-App-GitHooks-Plugin-PerlInterpreter-1.2.0-alt1.noarch.rpm


Advertisement

Description

perl-App-GitHooks-Plugin-PerlInterpreter - Enforce a specific Perl interpreter on the first line of Perl files

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package name perl-App-GitHooks-Plugin-PerlInterpreter
Package version 1.2.0
Package release alt1
Package architecture noarch
Package type rpm
Installed size 25.93 KB
Download size 25.93 KB
Official Mirror ftp.altlinux.org
This plugin allows you to enforce a specific Perl interpreter on the first line
of Perl files. This is particularly useful if you have a system Perl and a more
modern PerlBrew installation on your system, and you want to make sure that
other developers don't invoke the system Perl by mistake.

Alternatives

Package Version Architecture Repository
perl-App-GitHooks-Plugin-PerlInterpreter - - -

Requires

Name Value
/usr/share/perl5 -
perl(App/GitHooks/Constants.pm) -
perl(App/GitHooks/Plugin.pm) -
perl(autodie.pm) -
perl(base.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(App/GitHooks/Plugin/PerlInterpreter.pm) = 1.002
perl-App-GitHooks-Plugin-PerlInterpreter = 1.2.0-alt1

Download

Type URL
Binary Package perl-App-GitHooks-Plugin-PerlInterpreter-1.2.0-alt1.noarch.rpm
Source Package perl-App-GitHooks-Plugin-PerlInterpreter-1.2.0-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-App-GitHooks-Plugin-PerlInterpreter rpm package:
    # sudo apt-get install perl-App-GitHooks-Plugin-PerlInterpreter

Files

Path
/usr/share/doc/perl-App-GitHooks-Plugin-PerlInterpreter-1.2.0/Changes
/usr/share/doc/perl-App-GitHooks-Plugin-PerlInterpreter-1.2.0/LICENSE
/usr/share/doc/perl-App-GitHooks-Plugin-PerlInterpreter-1.2.0/README.md
/usr/share/doc/perl-App-GitHooks-Plugin-PerlInterpreter-1.2.0/ignore.txt
/usr/share/doc/perl-App-GitHooks-Plugin-PerlInterpreter-1.2.0/example/examples.txt
/usr/share/perl5/App/
/usr/share/perl5/App/GitHooks/
/usr/share/perl5/App/GitHooks/Plugin/PerlInterpreter.pm

See Also

Package Description
perl-App-GitHooks-Plugin-PgBouncerAuthSyntax-1.1.0-alt1.noarch.rpm Verify that the syntax of PgBouncer auth files is correct
perl-App-GitHooks-Plugin-PrependTicketID-1.2.0-alt1.noarch.rpm Derive a ticket ID from the branch name and prepend it to the commit-message
perl-App-GitHooks-Plugin-PreventTrailingWhitespace-1.0.1-alt1.noarch.rpm Prevent trailing whitespace from being committed
perl-App-GitHooks-Plugin-RequireCommitMessage-1.2.0-alt1.noarch.rpm Require a commit message
perl-App-GitHooks-Plugin-RequireTicketID-1.1.0-alt1.noarch.rpm Require a ticket ID in the commit message
perl-App-GitHooks-Plugin-RubyCompile-1.0.0-alt1.noarch.rpm Verify that staged Ruby files compile
perl-App-GitHooks-Plugin-ValidateChangelogFormat-1.1.0-alt1.noarch.rpm Validate the format of changelog files
perl-App-GitHooks-Plugin-ValidatePODFormat-1.1.0-alt1.noarch.rpm Validate POD format in Perl and POD files
perl-App-GitHooks-Plugin-VersionTagsRequireChangelog-1.1.0-alt1.noarch.rpm Require git version tags to have a matching changelog entry
perl-App-GitHooks-scripts-1.9.0-alt1.noarch.rpm App-GitHooks scripts
perl-App-GitHub-1.0.1-alt1.noarch.rpm GitHub Command Tools
perl-App-GitHub-FindRepository-0.06-alt1.noarch.rpm Determine the right case for a GitHub repository
perl-App-GitHub-FindRepository-scripts-0.06-alt1.noarch.rpm App-GitHub-FindRepository scripts
perl-App-GitHub-FixRepositoryName-0.02-alt1.noarch.rpm Fix your .git/config after a repository-name case change
perl-App-GitHub-FixRepositoryName-scripts-0.02-alt1.noarch.rpm App-GitHub-FixRepositoryName scripts
Advertisement
Advertisement